# NAME

git-annex merge - merge changes from remotes

# SYNOPSIS

git annex merge [branch]

# DESCRIPTION

When run without any parameters, this performs the same merging (and merge
conflict resolution) that is done by the `git-annex pull` and `git-annex sync`
commands, but without uploading or downloading any data.

When a branch to merge is specified, this merges it, using the same merge
conflict resolution as the `git-annex pull` command. This is especially useful on
an adjusted branch, because it applies the same adjustment to the
branch before merging it.

When annex.resolvemerge is set to false, merge conflict resolution
will not be done.

# OPTIONS

* `--allow-unrelated-histories`, `--no-allow-unrelated-histories`

  Passed on to `git merge`, to control whether or not to merge
  histories that do not share a common ancestor.

* `--json`

  Enable JSON output. This is intended to be parsed by programs that use
  git-annex. Each line of output is a JSON object.

* `--json-error-messages`

  Messages that would normally be output to standard error are included in
  the JSON instead.

* Also, the [[git-annex-common-options]](1) can be used.

# SEE ALSO

[[git-annex]](1)

[[git-annex-pull]](1)

[[git-annex-sync]](1)

[[git-annex-adjust]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
